name: location
description: "手机定位追迹"
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+100

environment:
  sdk: ^3.5.0

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter

    # 状态管理
  get: 4.7.2

  # 网络
  dio: 5.7.0
  pretty_dio_logger: 1.4.0
  retrofit: 4.4.1
  json_annotation: 4.9.0

  #获取设备信息
  device_info_plus: 10.1.2
  android_id: 0.4.0

  # 包信息
  package_info_plus: 8.1.1

  # 隐私追踪
  app_tracking_transparency: ^2.0.5

  # 屏幕适配
  flutter_screenutil: 5.9.3

  # 弹窗
  flutter_smart_dialog: 4.9.8

  #数据存储
  mmkv: 2.2.2

  #权限申请
  permission_handler: 11.3.1

  #上、下拉刷新
  pull_to_refresh: 2.0.0

  #本地化
  flutter_localizations:
    sdk: flutter

  #依赖注入
  injectable: 2.5.0

  #日期格式化等
  intl: 0.19.0

  #webview
  flutter_inappwebview: ^6.1.5

  #跑马灯
  marquee: 2.3.0

  #socket连接
  web_socket_channel: 3.0.2

  #switch
  animated_toggle_switch: 0.8.4

  #通讯录选择
  flutter_contacts: ^1.1.9+2

  #微信支付、分享
  wechat_kit: ^6.0.1


  #抽屉
  sliding_sheet2: ^2.0.1

  #时间滚轴选择器
  flutter_cupertino_datetime_picker: ^3.0.0

  #拨号
  url_launcher: 6.3.1

  #并发
  synchronized: ^3.3.0+2

  #支付
  agile_pay:
    path: plugins/agile_pay

  #工具类-android
  flutter_tool_android:
    path: plugins/flutter_tool_android

  # 苹果内购插件
  apple_pay:
    path: plugins/apple_pay

  #bugly
  flutter_bugly: 1.1.0

  #QR
  qr_flutter: ^4.1.0

  #网络连接情况
  internet_connection_checker: ^3.0.1

  #图片缓存
  cached_network_image: ^3.4.1

  #检测组件是否进入/离开可视区域
  visibility_detector: ^0.4.0+2

  #饼图等
  fl_chart: ^1.0.0

  #跳转评价
  in_app_review: ^2.0.10

  #图片压缩
  image: ^4.5.4

  #指示器
  smooth_page_indicator: ^1.2.1

  #视频播放器
  video_player: ^2.10.0

  #手机使用情况
  mobile_use_statistics:
    path: plugins/mobile_use_statistics

  #lottie
  lottie: ^3.3.1

  #获取手机电量
  battery_plus: ^6.2.2

  #获取wifi相关信息
  network_info_plus: ^6.1.4

  ######################地图########################
  flutter_map:
    path: plugins/map
  ##Android端
  #  map_google_android:
  #    path: plugins/map_google_android
  map_amap_android:
    path: plugins/map_amap_android

  map_mapkit_ios:
    path: plugins/map_mapkit_ios
  ######################地图########################

  #日志打印
  atmob_logging:
    version: ^0.0.5
    hosted:
      name: atmob_logging
      url: http://pub.v8dashen.com/

  #渠道包信息
  atmob_channel_reader:
    version: ^0.0.2
    hosted:
      name: atmob_channel_reader
      url: http://pub.v8dashen.com/

  #引力引擎
  gravity_engine:
    git:
      url: http://git.atmob.com:28999/Atmob-Flutter/gravity_engine.git
      ref: v0.0.2

  flutter_umeng:
    git:
      url: http://git.atmob.com:28999/Atmob-Flutter/flutter_umeng.git
      ref: v0.0.3

  #oaid
  oaid:
    git:
      url: http://git.atmob.com:28999/Atmob-Flutter/Oaid.git
      ref: v0.0.2

dev_dependencies:
  flutter_test:
    sdk: flutter

  retrofit_generator: '>=8.0.0 <10.0.0'

  build_runner: 2.4.13

  json_serializable: 6.9.0

  flutter_gen_runner: 5.9.0

  flutter_lints: ^5.0.0

  injectable_generator: 2.6.2

  string_get_runner:
    git:
      url: http://git.atmob.com:28999/Atmob-Flutter/string_get_runner.git
      ref: v0.0.5

#----------gen配置---------------
flutter_gen:
  output: lib/resource/
  fonts:
  colors:
    inputs:
      - assets/color/common_color.xml
      - assets/color/color.xml
#----------gen配置---------------



# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  # assets:
  #   - images/a_dot_burr.jpeg
  #   - images/a_dot_ham.jpeg

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/to/resolution-aware-images

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/to/asset-from-package

  assets:
    - assets/images/
    - assets/anim/

  fonts:
    - family: OppoSans
      fonts:
        - asset: assets/fonts/price.ttf


wechat_kit:
  ios: no_pay # 默认 pay
  app_id: wxd423dc54a6fd1640
  universal_link: https://ssdw.myaskai.cn/